> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# LLM-Inferenz aufzeichnen

> Zeichnet einen LLM-Inferenzaufruf innerhalb einer Orchestrierung zur Kostenverfolgung und Herkunftsprüfung auf.

Zeichnet einen einzelnen LLM-Inferenzaufruf auf, der innerhalb einer laufenden Orchestrierung erfolgte. Jeder Inferenzdatensatz erfasst das Modell, den Anbieter, die Token-Anzahl, die Latenz, die Kosten und die Inhalts-Hashes – was eine feingranulare Kostenattribution und Herkunftsprüfung jeder KI-Entscheidung ermöglicht.

Dieser Endpunkt wird von Agent-Laufzeiten nach Abschluss jedes LLM-API-Aufrufs aufgerufen. Der Inferenzdatensatz wird mit der übergeordneten Orchestrierung verknüpft und in den endgültigen Transparenzprotokoll-Beleg aufgenommen.

### Antwort

**inference\_id** `string`

Eindeutiger Identifikator für diesen Inferenzdatensatz.

**orchestration\_id** `string`

Übergeordneter Orchestrierungs-Identifikator.

**model** `string`

Verwendetes LLM-Modell.

**provider** `string`

LLM-Anbieter.

**prompt\_tokens** `integer`

Anzahl der Eingabetoken.

**completion\_tokens** `integer`

Anzahl der Ausgabe-Token.

**cost\_cents** `number`

Inferenzkosten in US-Cents.

**recorded\_at** `string`

ISO 8601 Zeitstempel, wann die Inferenz aufgezeichnet wurde.


## OpenAPI

````yaml de/mint-openapi.yaml POST /v1/orchestrate/llm/inference
openapi: 3.0.3
info:
  title: Truthlocks API
  description: >
    Truthlocks ist eine universelle Verifizierungsinfrastruktur für Dokumente,
    Anmeldeinformationen und digitale Assets.

    Diese Spezifikation definiert die kanonische API für die Interaktion mit
    Truthlocks-Diensten.


    ## Basis-URLs

    - **Produktion**: `https://api.truthlocks.com`

    - **Sandbox**: `https://sandbox-api.truthlocks.com`


    ## Authentifizierung

    - **API-Schlüssel**: Verwenden Sie den Header `X-API-Key` für
    Machine-to-Machine-Operationen

    - **Bearer Tokens**: Verwenden Sie `Authorization: Bearer <jwt>` für
    benutzerinitiierte Operationen


    ## Mandantenidentität

    In der Produktion wird die Mandantenidentität aus dem authentifizierten
    Kontext (API-Schlüssel oder JWT) abgeleitet.

    Der Header `X-Tenant-ID` wird in der Produktion ignoriert, um Spoofing zu
    verhindern.
  version: 1.0.0
  contact:
    name: Truthlocks Support
    url: https://truthlocks.com/support
    email: support@truthlocks.com
servers:
  - url: https://api.truthlocks.com
    description: Produktions-API
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox-Umgebung
security:
  - APIKey: []
  - BearerAuth: []
tags:
  - name: Authentication
    description: API-Schlüssel- und Token-Verwaltung
  - name: Issuers
    description: Ausstellerregistrierung und Vertrauensmanagement
  - name: Keys
    description: Kryptographische Schlüsselverwaltung für Aussteller
  - name: Attestations
    description: Bestätigungslebenszyklus (prägen, widerrufen, ersetzen)
  - name: Verification
    description: Bestätigungsverifizierung und Proof-Bundles
  - name: Governance
    description: Aussteller-Governance-Workflows (nur Admin)
  - name: Identity
    description: Organisations-, Benutzer- und Rollenverwaltung
  - name: Audit
    description: Audit-Ereignisabfragen
  - name: Tenant Console
    description: Mandantenprofil- und Lebenszyklus-Endpunkte
  - name: Health
    description: Endpunkte für Dienststatus und Bereitschaft
  - name: Risk
    description: Erfassung von Risikosignalen und Betrugserkennung
  - name: Risk Enforcement
    description: >-
      Risikodurchsetzungsmaßnahmen – Blockieren, Herausfordern, Quarantäne und
      Konfiguration
  - name: Billing
    description: Verwaltung von Abrechnung, Abonnements und Add-ons
  - name: Machine Identity
    description: >-
      Machine Agent Identity Protocol (MAIP) – Agentenregistrierung, Sitzungen,
      Vertrauen, Zeugen, Compliance, Orchestrierung und Beobachtbarkeit
externalDocs:
  description: Transparenz-API nur lesend (separate Dienstspezifikation)
  url: >-
    https://github.com/truthlocks/truthlock/blob/main/docs/transparency/openapi.yaml
paths:
  /v1/orchestrate/llm/inference:
    post:
      tags:
        - Machine Identity
      summary: LLM-Inferenz mit Beleg
      description: >-
        Führt einen LLM-Inferenzaufruf im Auftrag eines Agenten aus. Der Aufruf
        wird mit einer Quittung protokolliert, die die Token-Nutzung und die
        Kosten für die vollständige Auditierbarkeit enthält.
      operationId: maip.orchestrations.llmInference
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                agent_id:
                  type: string
                  description: Agent wird aufgerufen
                  format: uuid
                cost_usd:
                  type: number
                execution_id:
                  nullable: true
                  type: string
                input_tokens:
                  type: integer
                latency_ms:
                  type: integer
                metadata: {}
                model_id:
                  type: string
                output_tokens:
                  type: integer
                prompt_hash:
                  type: string
                provider:
                  type: string
                purpose:
                  nullable: true
                  type: string
                response_hash:
                  nullable: true
                  type: string
              type: object
              required:
                - provider
                - model_id
                - prompt_hash
                - agent_id
      responses:
        '200':
          description: Inferenz-Ergebnis mit Beleg
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaipLlmInferenceResult'
        '400':
          description: Validierungsfehler
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Authentifizierung erforderlich
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Ratenlimit überschritten
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
      security:
        - APIKey: []
components:
  schemas:
    MaipLlmInferenceResult:
      type: object
      properties:
        response:
          type: string
        receipt_id:
          type: string
          format: uuid
        tokens_used:
          type: integer
        cost:
          type: number
          format: float
    ErrorEnvelope:
      type: object
      required:
        - code
        - message
        - http_status
      properties:
        code:
          type: string
          description: Maschinenlesbarer Fehlercode
          enum:
            - AUTH_REQUIRED
            - AUTH_INVALID
            - PERMISSION_DENIED
            - TENANT_IDENTITY_UNVERIFIED
            - NOT_FOUND
            - VALIDATION_ERROR
            - CONFLICT
            - PAYLOAD_TOO_LARGE
            - RATE_LIMIT_EXCEEDED
            - QUOTA_EXCEEDED
            - SERVICE_UNAVAILABLE
            - INTERNAL_ERROR
        message:
          type: string
          description: Menschenlesbare Fehlermeldung
        http_status:
          type: integer
          description: HTTP-Statuscode
        retry_after_ms:
          type: integer
          description: >-
            Millisekunden, die vor einem erneuten Versuch gewartet werden sollen
            (für Ratenbegrenzungen)
        details:
          type: object
          description: Zusätzlicher Fehlerkontext
      example:
        code: AUTH_REQUIRED
        message: Authentication required
        http_status: 401
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API-Schlüssel für die Maschine-zu-Maschine-Authentifizierung
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT für benutzerinitiierte Operationen

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.